RDKit::MolStandardize::TautomerCatalogParams Class Reference

`#include <TautomerCatalogParams.h>`

Inheritance diagram for RDKit::MolStandardize::TautomerCatalogParams:

## Public Member Functions

| TautomerCatalogParams ()
| TautomerCatalogParams (const std::string &tautomerFile)
| TautomerCatalogParams (const TautomerCatalogParams &other)
| ~TautomerCatalogParams () override
unsigned int | getNumTautomers () const
const std::vector< TautomerTransform > & | getTransforms () const
const TautomerTransform | getTransform (unsigned int fid) const
void | toStream (std::ostream &) const override
| serializes (pickles) to a stream More...
std::string | Serialize () const override
| returns a string with a serialized (pickled) representation More...
void | initFromStream (std::istream &ss) override
| initializes from a stream pickle More...
void | initFromString (const std::string &text) override
| initializes from a string pickle More...
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string More...
void | setTypeStr (const std::string &typeStr)
| sets our type string More...

## Additional Inherited Members

Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string More...

## Detailed Description

Definition at line 27 of file TautomerCatalogParams.h.

## Constructor & Destructor Documentation

## TautomerCatalogParams() [1/3]

RDKit::MolStandardize::TautomerCatalogParams::TautomerCatalogParams | ( |  | ) |

inline

Definition at line 30 of file TautomerCatalogParams.h.

## TautomerCatalogParams() [2/3]

RDKit::MolStandardize::TautomerCatalogParams::TautomerCatalogParams | ( | const std::string & | tautomerFile | ) |

## TautomerCatalogParams() [3/3]

RDKit::MolStandardize::TautomerCatalogParams::TautomerCatalogParams | ( | const TautomerCatalogParams & | other | ) |

## ~TautomerCatalogParams()

RDKit::MolStandardize::TautomerCatalogParams::~TautomerCatalogParams | ( |  | ) |

override

## Member Function Documentation

## getNumTautomers()

unsigned int RDKit::MolStandardize::TautomerCatalogParams::getNumTautomers | ( |  | ) | const

inline

Definition at line 41 of file TautomerCatalogParams.h.

## getTransform()

const TautomerTransform RDKit::MolStandardize::TautomerCatalogParams::getTransform | ( | unsigned int | fid | ) | const

## getTransforms()

const std::vector<TautomerTransform>& RDKit::MolStandardize::TautomerCatalogParams::getTransforms | ( |  | ) | const

## initFromStream()

void RDKit::MolStandardize::TautomerCatalogParams::initFromStream | ( | std::istream & | ss | ) |

override virtual

initializes from a stream pickle

Implements RDCatalog::CatalogParams.

## initFromString()

void RDKit::MolStandardize::TautomerCatalogParams::initFromString | ( | const std::string & | text | ) |

override virtual

initializes from a string pickle

Implements RDCatalog::CatalogParams.

## Serialize()

std::string RDKit::MolStandardize::TautomerCatalogParams::Serialize | ( |  | ) | const

override virtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogParams.

## toStream()

void RDKit::MolStandardize::TautomerCatalogParams::toStream | ( | std::ostream & |  | ) | const

override virtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- TautomerCatalogParams.h